Spoofing attack in Foxit PhantomPDF and Foxit Reader for Mac



Published: 2021-02-02
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID N/A
CWE-ID CWE-451
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Foxit Reader for Mac
Client/Desktop applications / Office applications

Foxit PDF Editor for Mac (formerly PhantomPDF)
Client/Desktop applications / Office applications

Vendor Foxit Software Inc.

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Spoofing attack

EUVDB-ID: #VU50257

Risk: Medium

CVSSv3.1:

CVE-ID: N/A

CWE-ID: CWE-451 - User Interface (UI) Misrepresentation of Critical Information (Clickjacking, spoofing)

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform spoofing attack.

The vulnerability exists due to incorrect processing of user-supplied data. The application fails to identify the objects in the incremental update when the Subtype entry of the Annotation dictionary is set as null. A remote attacker can forge a PDF file that will appear as legit one and perform a spoofing attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Foxit Reader for Mac: 4.1.0.1023 - 4.1.1.1123

Foxit PDF Editor for Mac (formerly PhantomPDF): 3.0.0.0818 - 4.1.1.1123


CPE2.3 External links

http://www.foxitsoftware.com/support/security-bulletins.html

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###